select
    an.numero as "Nmero"
    , s.nome
    , dig.data as "Data"
    , (case dig.diagnostico
        when 'P' then 'Positivo'
        when 'N' then 'Negativo'
        else null end) as "Diagnstico"
    , dig.sexocria1 as "Sexo"
    ,(case dig.complementodiagnostico
        when 'T' then 'Retoque'
        when 'C' then 'Reconfirma'
        else null end) as "Compl."
    , (case dig.diagnostico
        when 'P' then dig.data - ia.data
        else null end) as "Dias"
    , (case dig.diagnostico
        when 'P' then coalesce(touro1.nome, touro1.numero)
        else null end) as "Reprodutor"
    , ra1.sigla as "Raa"
    ,(case dig.cio
        when 0 then 'No'
        when 1 then 'Sim'
        when 2 then 'Irregular'
        else null end) as "Cio"
    , (case dig.cdmuco
        when 99 then 'Sem muco'
        else cdmuco end) as "Muco"
    , (case dig.te
        when 1 then 'Sim'
        when 0 then 'No'
        else null end) as "TE"
    , utero.nomeresumido as "tero"
    , ovd.nomeresumido as "Ov.D."
    , ove.nomeresumido as "Ov.E."
    , pa.nome as "Base recom"
    , dig.observacao as "Obs."
from animal an
    join reproducao dig on dig.cdanimal = an.cdanimal
                           and dig.cdtiporeproducao = 4
    left join reproducao ia on ia.cdreproducao =
        (select first 1 re.cdreproducao
        from reproducao re
        where re.cdanimal = dig.cdanimal
            and re.cdtiporeproducao in (1,2,3)
            and re.data < dig.data
        order by re.data desc)
    left join animal touro1 on touro1.cdanimal = ia.cdreprodutor
    left join resultadoexameginecologico utero on utero.cdresultadoexameginecologico = dig.cdresultadoexameut
    left join resultadoexameginecologico ovd on ovd.cdresultadoexameginecologico = dig.cdresultadoexameod
    left join resultadoexameginecologico ove on ove.cdresultadoexameginecologico = dig.cdresultadoexameoe
    left join principioativo pa on pa.cdprincipioativo = dig.cdprincipioativo
    left join raca ra1 on ra1.cdraca = ia.cdraca
    left join setor s on s.cdsetor = an.cdsetor
where dig.data between '2016-10-01' and '2017-03-01'
order by dig.data, an.numordenado
